Browse Source

Make this fly.

jackyalcine 5 months ago
parent
commit
b76b3da590
Signed by: Jacky Alciné <yo@jacky.wtf> GPG Key ID: 537A4F904B15268D
3 changed files with 7 additions and 13 deletions
  1. 1
    0
      .gitignore
  2. 0
    10
      docker/scripts/post-deploy.sh
  3. 6
    3
      docker/scripts/pre-deploy.sh

+ 1
- 0
.gitignore View File

@@ -25,3 +25,4 @@ priv/static/robots.txt.gz
25 25
 priv/static/*.gz
26 26
 parcel*.log
27 27
 priv/static/*
28
+.elixir_ls

+ 0
- 10
docker/scripts/post-deploy.sh View File

@@ -1,13 +1,3 @@
1 1
 #!/bin/sh
2 2
 
3 3
 cd /opt/fortress || exit 10
4
-
5
-echo " ----> [deploy:pre] Installing needed CLI tools..."
6
-npm install -g npm@latest npx@latest parcel-bundler || exit 20
7
-npm install || exit 21
8
-
9
-echo " ----> [deploy:pre] Building static resources..."
10
-npm run build || exit 22
11
-
12
-echo " ----> [deploy:pre] Update static digests..."
13
-mix phx.digest || exit 30

+ 6
- 3
docker/scripts/pre-deploy.sh View File

@@ -2,8 +2,11 @@
2 2
 
3 3
 cd /opt/fortress || exit 10
4 4
 
5
-echo " ----> <skip> [deploy:pre] Setting up database..."
5
+echo " ----> [deploy:pre] Setting up database..."
6 6
 mix ecto.setup || exit 20
7 7
 
8
-echo " ----> <skip> [deploy:pre] Run production-ready checks... "
9
-# mix fortress.smoke_test || exit 60
8
+echo " ----> [deploy:pre] Building client side environment... "
9
+npm install -g npm@latest npx@latest parcel-bundler || exit 20
10
+npm install || exit 21
11
+npm run build || exit 22
12
+mix phx.digest || exit 30

Loading…
Cancel
Save